package com.ym.mec.education.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * vip课与班级关联表
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@TableName("vip_group_class_group_mapper")
public class VipGroupClassGroupMapper extends Model<VipGroupClassGroupMapper> {

    private static final long serialVersionUID = 1L;

    @TableId("id_")
    private Long id;
    @TableField("vip_group_id_")
    private Long vipGroupId;
    @TableField("class_group_id_")
    private Integer classGroupId;
    @TableField("create_time_")
    private Date createTime;


    public Long getId() {
        return id;
    }

    public VipGroupClassGroupMapper setId(Long id) {
        this.id = id;
        return this;
    }

    public Long getVipGroupId() {
        return vipGroupId;
    }

    public VipGroupClassGroupMapper setVipGroupId(Long vipGroupId) {
        this.vipGroupId = vipGroupId;
        return this;
    }

    public Integer getClassGroupId() {
        return classGroupId;
    }

    public VipGroupClassGroupMapper setClassGroupId(Integer classGroupId) {
        this.classGroupId = classGroupId;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public VipGroupClassGroupMapper setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "VipGroupClassGroupMapper{" +
        ", id=" + id +
        ", vipGroupId=" + vipGroupId +
        ", classGroupId=" + classGroupId +
        ", createTime=" + createTime +
        "}";
    }
}
